import { EventEmitter } from "../../stencil-public-runtime";
export declare class DeleteConfirmationModal {
    show: boolean;
    dialogTitle: string;
    message: string;
    confirmButtonText: string;
    cancelButtonText: string;
    confirmDelete: EventEmitter<void>;
    cancelDelete: EventEmitter<void>;
    handleConfirm(): void;
    handleCancel(): void;
    handleKeyDown(event: KeyboardEvent): void;
    render(): any;
}
